GNU Radio's GSM Package: gr::gsm::extract_immediate_assignment Class Reference

GNU Radio's GSM Package

Public Types | Public Member Functions | Static Public Member Functions | List of all members
gr::gsm::extract_immediate_assignment Class Referenceabstract

<+description of block+> More...

`#include <extract_immediate_assignment.h>`

Inheritance diagram for gr::gsm::extract_immediate_assignment:

## Public Types
typedef boost::shared_ptr< extract_immediate_assignment > | sptr

## Public Member Functions
virtual std::vector< int > | get_frame_numbers ()=0
virtual std::vector< std::string > | get_channel_types ()=0
virtual std::vector< int > | get_timeslots ()=0
virtual std::vector< int > | get_subchannels ()=0
virtual std::vector< int > | get_hopping ()=0
virtual std::vector< int > | get_maios ()=0
virtual std::vector< int > | get_hsns ()=0
virtual std::vector< int > | get_arfcns ()=0
virtual std::vector< int > | get_timing_advances ()=0
virtual std::vector< std::string > | get_mobile_allocations ()=0

## Static Public Member Functions
static sptr | make (bool print_immediate_assignments=false, bool ignore_gprs=false, bool unique_references=false)
| Return a shared_ptr to a new instance of gsm::extract_immediate_assignment. More...

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## ◆ sptr

typedef boost::shared_ptr<extract_immediate_assignment> gr::gsm::extract_immediate_assignment::sptr

## Member Function Documentation

## ◆ get_arfcns()

virtual std::vector<int> gr::gsm::extract_immediate_assignment::get_arfcns | ( |  | ) |
| pure virtual

Implemented in gr::gsm::extract_immediate_assignment_impl.

## ◆ get_channel_types()

virtual std::vector<std::string> gr::gsm::extract_immediate_assignment::get_channel_types | ( |  | ) |
| pure virtual

Implemented in gr::gsm::extract_immediate_assignment_impl.

## ◆ get_frame_numbers()

virtual std::vector<int> gr::gsm::extract_immediate_assignment::get_frame_numbers | ( |  | ) |
| pure virtual

Implemented in gr::gsm::extract_immediate_assignment_impl.

## ◆ get_hopping()

virtual std::vector<int> gr::gsm::extract_immediate_assignment::get_hopping | ( |  | ) |
| pure virtual

Implemented in gr::gsm::extract_immediate_assignment_impl.

## ◆ get_hsns()

virtual std::vector<int> gr::gsm::extract_immediate_assignment::get_hsns | ( |  | ) |
| pure virtual

Implemented in gr::gsm::extract_immediate_assignment_impl.

## ◆ get_maios()

virtual std::vector<int> gr::gsm::extract_immediate_assignment::get_maios | ( |  | ) |
| pure virtual

Implemented in gr::gsm::extract_immediate_assignment_impl.

## ◆ get_mobile_allocations()

virtual std::vector<std::string> gr::gsm::extract_immediate_assignment::get_mobile_allocations | ( |  | ) |
| pure virtual

Implemented in gr::gsm::extract_immediate_assignment_impl.

## ◆ get_subchannels()

virtual std::vector<int> gr::gsm::extract_immediate_assignment::get_subchannels | ( |  | ) |
| pure virtual

Implemented in gr::gsm::extract_immediate_assignment_impl.

## ◆ get_timeslots()

virtual std::vector<int> gr::gsm::extract_immediate_assignment::get_timeslots | ( |  | ) |
| pure virtual

Implemented in gr::gsm::extract_immediate_assignment_impl.

## ◆ get_timing_advances()

virtual std::vector<int> gr::gsm::extract_immediate_assignment::get_timing_advances | ( |  | ) |
| pure virtual

Implemented in gr::gsm::extract_immediate_assignment_impl.

## ◆ make()

static sptr gr::gsm::extract_immediate_assignment::make | ( | bool | print_immediate_assignments = `false`,
|  | bool | ignore_gprs = `false`,
|  | bool | unique_references = `false`
| ) |  |
| static

Return a shared_ptr to a new instance of gsm::extract_immediate_assignment.

To avoid accidental use of raw pointers, gsm::extract_immediate_assignment's constructor is in a private implementation class. gsm::extract_immediate_assignment::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- extract_immediate_assignment.h